iCalendar-0.4.0.5: iCalendar data types, parser, and printer.

Safe Haskell | Safe
Language | Haskell98

Text.ICalendar.Printer

Synopsis

- data EncodingFunctions = EncodingFunctions {
  - efChar2Bu :: Char -> Builder
  - efChar2Len :: Char -> Int
  }
- printICalendar :: EncodingFunctions -> VCalendar -> ByteString
- printICal :: EncodingFunctions -> VCalendar -> ByteString

# Documentation

data EncodingFunctions Source #

Functions for encoding into bytestring builders.

Constructors

EncodingFunctions |

Fields

- efChar2Bu :: Char -> Builder
- efChar2Len :: Char -> Int

  How many octets the character is encoded.

Instances

Default EncodingFunctions Source # | UTF8.
Instance details Defined in Text.ICalendar.Printer Methods def :: EncodingFunctions #

printICalendar :: EncodingFunctions -> VCalendar -> ByteString Source #

Print a VCalendar object to a ByteString.

printICal :: EncodingFunctions -> VCalendar -> ByteString Source #

Deprecated: Use printICalendar instead

Deprecated synonym for printICalendar